/*   msXpertSuite - mass spectrometry software suite
 *   -----------------------------------------------
 *   Copyright(C) 2016 Filippo Rusconi
 *
 *   http://www.{site}.org
 *
 *   This file is part of the msXpertSuite project.
 *
 *   The msXpertSuite project is the successor of the massXpert project. This
 *   project now includes various independent modules:
 *   - massXpert, the original mass spectrometry environment software (greatly
 *     refactored code);
 *   - mobXpert, a module to process and mine mobility mass spectrometry data;
 *   - viewXpert, a powerful TIC chromatogram/mass spectrum viewer/miner;
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef MASS_SPEC_DATA_FILE_FORMAT_ANALYZER_HPP
#define MASS_SPEC_DATA_FILE_FORMAT_ANALYZER_HPP

#include <functional>

/////////////////////// Qt includes


/////////////////////// Local includes
#include "globals.hpp"
#include "MassSpecDataFileLoaderXy.hpp"


namespace msXpertSuite
{


  class MassSpecDataFileFormatAnalyzer : public QObject
  {
    public:
    QString m_fileName;

    MassSpecDataFileFormatAnalyzer(const QString &fileName = QString());
    virtual ~MassSpecDataFileFormatAnalyzer();

		int canLoadData();
		static int canLoadData(const QString &fileName);
  };

} // namespace msXpertSuite


#endif // MASS_SPEC_DATA_FILE_FORMAT_ANALYZER_HPP
