/*   msXpertSuite - mass spectrometry software suite
 *   -----------------------------------------------
 *   Copyright(C) 2016 Filippo Rusconi
 *
 *   http://www.{site}.org
 *
 *   This file is part of the msXpertSuite project.
 *
 *   The msXpertSuite project is the successor of the massXpert project. This
 *   project now includes various independent modules:
 *   - massXpert, the original mass spectrometry environment software (greatly
 *     refactored code);
 *   - mineXpert, a powerful TIC chromatogram/mass/drift spectrum viewer/miner;
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/////////////////////// Qt includes
#include <QObject>
#include <QMainWindow>
#include <QHash>
#include <QMap>
#include <QDebug>


/////////////////////// Local includes
#include "MassSpecDataFileLoader.hpp"
#include "globals.hpp"
#include "MassSpecDataSet.hpp"


namespace msXpertSuite
{

  MassSpecDataFileLoader::MassSpecDataFileLoader(const QString &fileName)
  {
    if(!fileName.isEmpty())
      m_fileName = fileName;
  }


  MassSpecDataFileLoader::~MassSpecDataFileLoader()
  {
  }


  void
  MassSpecDataFileLoader::setFileName(const QString &fileName)
  {
    m_fileName = fileName;
  }


  void
  MassSpecDataFileLoader::appendErrorMessage(QString errorMsg)
  {
    m_errorMessageList.append(errorMsg);
  }


  void
  MassSpecDataFileLoader::cancelOperation()
  {
    m_isOperationCancelled = true;

    qDebug() << __FILE__ << __LINE__
             << "MassSpecDataFileLoader::cancelOperation";
  }


}
