/*   msXpertSuite - mass spectrometry software suite
 *   -----------------------------------------------
 *   Copyright(C) 2016 Filippo Rusconi
 *
 *   http://www.{site}.org
 *
 *   This file is part of the msXpertSuite project.
 *
 *   The msXpertSuite project is the successor of the massXpert project. This
 *   project now includes various independent modules:
 *   - massXpert, the original mass spectrometry environment software (greatly
 *     refactored code);
 *   - mobXpert, a module to process and mine mobility mass spectrometry data;
 *   - viewXpert, a powerful TIC chromatogram/mass spectrum viewer/miner;
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef APPLICATION_HPP
#define APPLICATION_HPP


/////////////////////// Qt includes
#include <QtGui>
#include <QtXml>
#include <QtGlobal>
#include <QLocale>
#include <QSplashScreen>


/////////////////////// Local includes
#include "globals.hpp"
#include "MainWindow.hpp"


namespace msXpertSuite
{

	class Application : public QApplication
	{
		Q_OBJECT

		private:
		private:
			QString m_moduleName = "minexpert";
			// The splash screen, that we'll remove automatically after
			// 2 seconds.
			QSplashScreen *mpa_splash;

		public:
			Application(int &argc, char **argv, const QString &moduleName);
			~Application();

			Q_PROPERTY(QString m_description READ description WRITE setDescription USER true);
			QString m_description = QString("mineXpert: a mass spectrum viewer and analyzer");

			public slots:
				void setDescription(QString &desc);
			QString description();

			void destroySplash();
	};

} // namespace msXpertSuite


#endif // APPLICATION_HPP
